# Command Line Options

### GEEQIE(1)

Geeqie — GTK based multiformat image viewer

#### DESCRIPTION

Geeqie is an interactive GTK based image viewer that supports multiple image formats, zooming, panning, thumbnails and sorting images into collections.

Generated for version:

##### Usage:

geeqie [OPTION…] [path…]

Geeqie is an image viewer.

Version: Geeqie 2.9

##### Help Options:

-h, --help

  Show help options

--help-all

  Show all help options

--help-gapplication

  Show GApplication options

--help-gtk

  Show GTK+ Options

##### Application Options:

--action=<ACTION>

  execute keyboard action (https://www.geeqie.org/help/GuideReferenceRemoteKeyboardActions.html)

--action-list

  list available keyboard actions (some are redundant)

-b, --back

  previous image

--cache-metadata

  clean the metadata cache

--cache-render=<folder>

  render thumbnails

--cache-render-recurse=<folder>

  render thumbnails recursively

--cache-render-shared=<folder>

  render thumbnails (see Help)

--cache-render-shared-recurse=<folder>

  render thumbnails recursively (see Help)

--cache-shared=clean|clear

  clear or clean shared thumbnail cache

--cache-thumbs=clear|clean

  clear or clean thumbnail cache

--close-window

  close window

--config-load=<FILE>

  load configuration from FILE

-d, --delay=<[H:][M:][N][.M]>

  set slide show delay to Hrs Mins N.M seconds,

--dupes=<FOLDER>

  find duplicates in folder

--dupes-export

  export duplicates search result

--dupes-recurse=<FOLDER>

  find duplicates in folder recursively

--file=<FILE>|<URL>

  open FILE or URL bring Geeqie window to the top

--File=<FILE>|<URL>

  open FILE or URL do not bring Geeqie window to the top

--file-extensions

  list known file extensions

--first

  first image

-f, --fullscreen

  start / toggle in fullscreen mode

--geometry=<W>x<H>[+<XOFF>+<YOFF>]

  set main window location and geometry

--get-collection=<COLLECTION>

  get collection content

--get-collection-list

  get collection list

--get-destination=<FILE>

  get destination path of FILE (https://www.geeqie.org/help/GuidePluginsConfig.html)

--get-file-info

  get file info

--get-filelist=[<FOLDER>]

  get list of files and class

--get-filelist-recurse=[<FOLDER>]

  get list of files and class recursive

--get-rectangle

  get rectangle coordinates

--get-render-intent

  get render intent

--get-selection

  get list of selected files

--get-sidecars=<FILE>

  get list of sidecars of FILE

--get-window-list

  get list of windows

--id=<ID>

  window id for following commands

--last

  last image

-o, --log-file=<file>

  save log data to file

--lua=<FILE>,<lua script>

  run lua script on FILE

--new-window

  new window

-n, --next

  next image

--pixel-info

  print pixel info of mouse pointer on current image

--print0

  terminate returned data with null character instead of newline

-q, --quit

  quit

--raise

  bring the Geeqie window to the top

--selection-add=[<FILE>]

  adds the current file (or the specified file) to the current selection

--selection-clear

  clears the current selection

--selection-remove=[<FILE>]

  removes the current file (or the specified file) from the current selection

-w, --show-log-window

  show log window

--slideshow-recurse=<FOLDER>

  start recursive slide show in FOLDER

-s, --slideshow

  toggle slide show

--tell

  print filename [and Collection] of current image

-t, --tools

  toggle tools

-v, --version

  print version info

--view=<FILE>

  open FILE in new window

--display=DISPLAY

  X display to use

  All other command line parameters are used as plain files if they exist, or a URL or a folder. The name of a collection, with or without either path or extension (.gqv) may be used.

  If more than one folder is on the command line, only the last will be used.

  If more than one file is on the command line:

  If they are in the same folder, that folder will be opened and those files will be selected. If they are not in the same folder, a new Collection containing those files will be opened.

  To run Geeqie as a new instance, use: GQ_NEW_INSTANCE=y[es] geeqie Normally a single set of configuration files is used for all instances. However, the environment variables XDG_CONFIG_HOME, XDG_CACHE_HOME, XDG_DATA_HOME can be used to modify this behavior on an individual basis e.g. XDG_CONFIG_HOME=/tmp/a XDG_CACHE_HOME=/tmp/b GQ_NEW_INSTANCE=y geeqie

  To disable Clutter use: GQ_DISABLE_CLUTTER=y[es] geeqie

  To run or stop Geeqie in cache maintenance (non-GUI) mode use: GQ_CACHE_MAINTENANCE=y[es] geeqie --help Note that bash command line completion does not work in this mode.

  User manual: https://www.geeqie.org/help/GuideIndex.html

  : https://www.geeqie.org/help-pdf/help.pdf

Geeqie 2.9 GTK3

#### BUGS

Please send bug reports and feedback to https://github.com/BestImageViewer/geeqie/issues

#### COPYRIGHT

Copyright (C) 1999-2004 by John Ellis. Copyright (C) 2004-2026 by The Geeqie Team. Use this software at your own risk! This software released under the GNU General Public License. Please read the COPYING file for more information.